# Custom BDS Plot Script v1.0 May 2015
#
# Script allows the capture of Test weight before capturing the total weight and moisture.
# This is to be used with small grain samples will not cover the moisture sensor and 
# fill the BDS cup.


actuator_control.cycle(aux)
# BDS Test Weight
if device.TestWeightEnabled:
   actuator_control.open(bds_wiper)
   delay(150)
   actuator_control.close(bds_wiper)
   delay(150)
   actuator_control.open(bds_wiper)
   data_control.get_test_weight()
   actuator_control.close(bds_wiper)
   actuator_control.open(bds_cup)


# Get the weight and moisture readings from the analog module
if device.MoistureEnabled:
   data_control.get_weight_and_moisture()
else:
   data_control.get_weight()

actuator_control.open(plot)

if device.TestWeightEnabled:
   actuator_control.multiple([(bds_cup, CLOSE), (plot, CLOSE)])
else:
   actuator_control.close(plot)

#### Check Tare ####
tare_control.check_tare(check_moisture=device.MoistureEnabled, check_test_weight=device.TestWeightEnabled)
